
# Finances

Play Framework 2.x sample app to support a series of Play tutorial blog posts.

* Part 1: <a href="http://digitalsanctum.com/2012/05/26/play-framework-2-tutorial-introduction/">Introduction</a>
* Part 2: <a href="http://digitalsanctum.com/2012/05/26/play-framework-2-tutorial-debugging-with-intellij-idea/">Debugging with IntelliJ IDEA</a>
* Part 3: <a href="http://digitalsanctum.com/2012/05/28/play-framework-2-tutorial-testing/">Testing</a>
* Part 4: <a href="http://digitalsanctum.com/2012/05/30/play-framework-2-tutorial-database-access/">Database Access</a>
* Part 5: <a href="http://digitalsanctum.com/2012/06/01/play-framework-2-tutorial-ebean-orm/">Ebean ORM</a>


# MySQL Setup


Before using MySQL as the database for the Finances app, we first need to create the finances user and database:

First, connect as root:

    mysql --user=root --password=YOURPASSWORD mysql


Second, create the finances user:

    CREATE USER finances @'%' IDENTIFIED BY 'finances';


Lastly, create the poweredman database and grant privileges to the poweredman user:

    CREATE DATABASE finances;

    GRANT ALL ON finances.* TO 'finances' @'%'  IDENTIFIED BY 'finances';
    GRANT ALL ON finances.* TO 'finances' @'localhost'  IDENTIFIED BY 'finances';

    FLUSH PRIVILEGES;

Test

    mysql --user=finances --password=finances finances


